{ config
, pkgs
, ... }:

let
  passwords = import ../common/passwords.crypt.nix;
  keys = import ../common/keys.nix;
  inherit (import ../common/lib) mkUser;

in
{
  users.extraUsers.root = {
    openssh.authorizedKeys.keys = keys.openssh.steveej;
  };

  users.extraUsers.steveej2 = mkUser {
    uid = 1001;
    hashedPassword = passwords.users.steveej;
  };

  users.extraUsers.steveej3 = mkUser {
    uid = 1002;
    hashedPassword = passwords.users.steveej;
  };
}

